#  CGI_Parameter.pm
package  CGI_Parameter;

###################################################
#
# CGI Parameter
#
#--------------------------------------------------
# collect the Systemline- or CGI-Parameter 
#
###################################################

use strict;
use Config_param;

require Exporter;
use vars qw(@ISA @EXPORT $VERSION
	    $q
	    
	    %cgi_param
	    );

@ISA    = qw(Exporter);
@EXPORT = qw(
	     $q

	     %cgi_param
	     &param_to_url
	     );

$VERSION = 0.1;

####################################################
use CGI;
use CGI::Carp 'fatalsToBrowser';

####################################################
#
# CGI Parameter here
#
####################################################
$q = new CGI;


my $viewtype = $q->param('viewtype');
unless($q->param('viewtype')) {
    $viewtype = $default_values{'viewtype'};
}
my $infolevel = $q->param('infolevel');
unless($q->param('infolevel')) {
    $infolevel = $default_values{'infolevel'};
}

my @loglevel = $q->param('loglevel'); 
unless($q->param('loglevel')) {
    @loglevel = @{$default_values{'loglevel'}};
}
my @cols = $q->param('cols');
unless($q->param('cols')) {
    @cols = @{$default_values{'cols'}};
}

my $highlight = $q->param('highlight');
unless ($q->param('highlight')) {
    unless($q->param('viewtype')) {
	$highlight = $default_values{'highlight'};
    }
}
my $autoscroll = $q->param('autoscroll');
unless ($q->param('autoscroll')) {
    unless($q->param('viewtype')) {
	$autoscroll = $default_values{'autoscroll'};
    }
}
my $linenumber = $q->param('linenumber');
unless ($q->param('linenumber')) {
    unless($q->param('viewtype')) {
	$linenumber = $default_values{'linenumber'};
    }
}

my $interval = $q->param('interval');
unless ($q->param('interval')) {
    $interval = $default_values{'interval'};
}
my $maxlines = $q->param('maxlines');
unless ($q->param('maxlines')) {
    $maxlines = $default_values{'maxlines'};
}

#my $tmp = $q->param('filter_src') || '';
my @filter_src; 
my @filter_dst;
my @filter_proto;
my @filter_sport;
my @filter_dport;
if($q->param('filter_src') ne '') {
    (@filter_src) = split(/ /, $q->param('filter_src') );
#    print "\n---------\n";
#    print join('\n', @filter_src);
}
if($q->param('filter_dst') ne '') {
    if(defined(@{$q->param('filter_dst')})) {
	@filter_dst = @{$q->param('filter_dst')};
    }
    else {
	(@filter_dst) = split(/ /, $q->param('filter_dst')); 
    }
}
if($q->param('filter_proto') ne '') {
    (@filter_proto) = split(/ /, $q->param('filter_proto')); 
}
if($q->param('filter_sport') ne '') {
    (@filter_sport) = split(/ /, $q->param('filter_sport')); 
}
if($q->param('filter_dport') ne '') {
    (@filter_dport) = split(/ /, $q->param('filter_dport')); 
}




%cgi_param = ('viewtype' => "$viewtype",
	      'infolevel' => "$infolevel",
	      'loglevel' => \@loglevel, 
	      'highlight' => $highlight,
	      'autoscroll' => $autoscroll,
	      'interval' => $interval,
	      'maxlines' => $maxlines,
	      'linenumber' => $linenumber,
	      'cols' => \@cols,
	      'filter_src' => \@filter_src,
	      'filter_dst' => \@filter_dst,
	      'filter_proto' => \@filter_proto,
	      'filter_sport' => \@filter_sport,
	      'filter_dport' => \@filter_dport
	      );

################################################################################
sub param_to_url {

    my $url_string = '';

    my $zeile;
    foreach $zeile (keys(%cgi_param)) {
	if($cgi_param{$zeile} ne '') {
	    if(ref($cgi_param{$zeile}) eq 'ARRAY' ) {
		foreach my $zeile2 (@{$cgi_param{$zeile}}) {
		    $url_string .= "&$zeile=$zeile2";
		}
	    }
	    else {
		    $url_string .= "&$zeile=$cgi_param{$zeile}";
	    }
	}

    }

    return($url_string);
}


####
# don't forget the return value ;-)
1;
