# Config_param.pm
package Config_param;

################################################################################
# St. Wagner (c) 2004                                                          #
################################################################################
################################################################################
#
# Configuration Parameter
#
###############################################################################

use strict;
require Exporter;
use vars qw(@ISA @EXPORT $VERSION
	    %conf_logfile
	    $conf_info_url

	    %conf_page_style
	    %conf_tabellen_style
	    %conf_spaltennamen
	    %result_table

	    %conf_info_color
	    %default_values
	    %conf_substitution
	    );


@ISA    = qw(Exporter);
@EXPORT = qw(
	     %conf_logfile
	     $conf_info_url

	     %conf_page_style
	     %conf_tabellen_style
	     %conf_spaltennamen
	     %result_table

	     %conf_info_color
	     %default_values
	     %conf_substitution
	     );

$VERSION = 0.3;



################################################################################
#
# change Parameter here
#
################################################################################
my $html_path = '/logviewer';

%conf_logfile = ('logfile' => '/var/log/firewall_log');  # ./logfile.log

$conf_info_url = '/info.html';

%conf_page_style = ('style_sheet' => $html_path.'/styles.css',
		    'bgcolor' => '#d5dfe5',      #'lightgrey',
		    'background' => '',          # url to backgroundimage
		    'space_left' => '15',
		    'space_right' => '15'
		    );

my @loglevel = ('info', 'message', 'warn', 'err', 'crit');
my @cols = ('time', 'loglevel', 'src', 'dst');

%conf_info_color = ('crit' => 'red',
		    'err' => 'red',	
		    'warn' => '#efa200', # better than "orange"
		    'info' => 'green');

%default_values = ('loglevel' => \@loglevel,
		   'cols' => \@cols,
		   'viewtype' => 'Table',  # List | Table
		   'infolevel' => 'Basic',
		   'highlight' => 'on',
		   'autoscroll' => 'on',
		   'interval' => '20',
		   'maxlines' => '120',
		   'linenumber' => 'off'
		   );

# Table
%conf_tabellen_style = ('border'              => '0', # html Tabellenrahmenstaerke
			'tr_bgcolor_gerade'   => '#FFFFFF', #'#eff5f7',
			'tr_bgcolor_ungerade' => '#E0E9E4', #'#EEEEEE',
			'header_bgcolor'      => '#EEDDFF',
			'headline_color'      => '#00618a',
			'headline_size'       => '2',
			'cellspacing'         => '1',
			'cellpadding' 	      => '3',
			'width'		      => '100%',
			'class'               => '11punkt');

$result_table{'default_length'} = 10;


%conf_substitution = ('user.warn' => '<font color="#EFA200"><img alt="warn" src="'.
		        $html_path.'/orange.png"></font>',

		      'user.info' => '<font color="green"><img alt="info" src="'.
			$html_path.'/green.png"></font>',

		      'user.err' => '<font color="red"><img alt="err" src="'.
			$html_path.'/red.png"></font>',

		      'user.crit' => '<font color="red"><img alt="crit" src="'.
			$html_path.'/red.png"></font>',

		      'eth0' => '<font color="green">green</font>',
		      'eth1' => '<font color="#efa200">orange</font>',
		      'eth2' => '<font color="red">red</font>',

		      'tf_null2' => 'tf_null2',
		      'prv_rng4' => 'prv_rng4',
		      
		      'INPUT' => 'input',
		      'OUTPUT' => 'output',
		      'FORWARD' => 'forward',
		      'ORANGE2RED' => 'orange -> red',
		      'RED2ORANGE' => 'red -> orange',
		      'GREEN2RED' => 'green -> red',
		      'RED2GREEN' => 'red -> green',
		      'GREEN2ORANGE' => 'green -> orange',
		      'ORANGE2GREEN' => 'orange -> green',
			
			);

#%conf_substitution = ('user.warn' => '<img alt="warn" src="/orange.png">',
#		      'user.info' => '<img alt="info" src="/green.png">',
#		      'user.err' => '<img alt="err" src="/red.png">',
#		      'user.crit' => '<img alt="crit" src="/red.png">',
#
#		      'eth0' => '<font color="green">green</font>',
#		      'eth1' => '<font color="#ffb200">orange</font>',
#		      'eth2' => '<font color="red">red</font>',
#
#		      'tf_null2' => 'tf_null2',      # change here to better comments !
#		      'end:INPUT' => 'end:INPUT',
#		      'prv_rng4' => 'prv_rng4',
#		      'ORANGE2RED' => 'orange -> red'
#		      );


# don't forget the return value ;-)
1;
